com.google.cloud.dataflow.sdk.transforms.windowing

## Class Window.Remerge<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<T>,PCollection<T>>
  - - com.google.cloud.dataflow.sdk.transforms.windowing.Window.Remerge<T>

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  Window

    public static class Window.Remerge<T>
    extends PTransform<PCollection<T>,PCollection<T>>

`PTransform` that does not change assigned windows, but will cause windows to be merged again as part of the next `GroupByKey`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Constructor Summary

Constructors
Constructor and Description
`Remerge()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PCollection<T>` `apply(PCollection<T> input)` Applies this `PTransform` on the given `InputT`, and returns its `Output`.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Remerge

    public Remerge()

### Method Detail

#### apply

    public PCollection<T> apply(PCollection<T> input)

Description copied from class: `PTransform`
Applies this `PTransform` on the given `InputT`, and returns its `Output`.

Composite transforms, which are defined in terms of other transforms, should return the output of one of the composed transforms. Non-composite transforms, which do not apply any transforms internally, should return a new unbound output and register evaluators (via backend-specific registration methods).

The default implementation throws an exception. A derived class must either implement apply, or else each runner must supply a custom implementation via `PipelineRunner.apply(com.google.cloud.dataflow.sdk.transforms.PTransform<InputT, OutputT>, InputT)`.

Overrides:
  `apply` in class `PTransform<PCollection<T>,PCollection<T>>`